import request from '@/utils/request'

/**
 * 获取微信公众号菜单列表
 * @param {*} query type 类型： 1采美，2呵呵商城
 */
export function fetchList(query) {
  return request({
    url: '/wechat/menu/list',
    method: 'get',
    params: query
  })
}

/**
 * 根据ID获取微信公众号菜单
 */
export function getMenu(id) {
  return request({
    url: '/wechat/menu/' + id,
    method: 'get'
  })
}

/**
 * 根据ID更新微信公众号菜单
 */
export function updateMenu(id, data) {
  return request({
    url: '/wechat/menu/update/' + id,
    method: 'post',
    data: data
  })
}

/**
 * 添加微信公众号菜单
 */
export function createMenu(data) {
  return request({
    url: '/wechat/menu/create',
    method: 'post',
    data: data
  })
}

/**
 * 根据ID删除微信公众号菜单
 */
export function deleteMenu(id) {
  return request({
    url: '/wechat/menu/delete/' + id,
    method: 'post'
  })
}

/**
 * 微信公众号菜单发布
 * @param {*} type 类型： 1采美，2呵呵商城
 */
export function pushWechatMenu(type) {
  return request({
    url: '/wechat/menu/push/' + type,
    method: 'post'
  })
}
